using System.Collections.Generic;
namespace Stat.BLL
{
    /// <summary>
    /// 公司信息
    /// </summary>
    public class Company
    {
        private static IDAL.ICompany dal = DALFactory.AbstractFactory.GetInstance().CreateCompany();

        /// <summary>
        /// 添加信息
        /// </summary>
        /// <returns></returns>
        public static bool Insert(Stat.Model.Company model)
        {
            return dal.Insert(model);
        }
        /// <summary>
        /// 修改信息
        /// </summary>
        /// <returns></returns>
        public static bool Update(Stat.Model.Company model)
        {
            return dal.Update(model);
        }
        /// <summary>
        ///删除信息
        /// </summary>
        /// <returns></returns>
        public static bool Delete(int id)
        {
            return dal.Delete(id);
        }
        /// <summary>
        /// 获取信息
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Company> Get()
        {
            return dal.Get();
        }
    }
}
